<?php
/*
Plugin Name: Contemplate
Plugin URI: http://www.presscoders.com/plugins/free-plugins/contemplate/
Description:Easily manage common blocks of text/html content in your posts, pages, widgets, and comments. Useful for announcements, information, adverts, comment signatures, or anything else you wish!
Version: 1.0
Author: David Gwyer
Author URI: http://www.presscoders.com
*/

/*  Copyright 2009 David Gwyer (email : d.v.gwyer@presscoders.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

register_activation_hook(__FILE__, 'wpst_activate');
register_uninstall_hook(__FILE__, 'wpst_delete_plugin_options');
add_action('admin_init', 'wpst_init' );
add_action('admin_menu', 'wpst_add_options_page');
add_filter('widget_text', 'shortcode_unautop');
add_filter('widget_text', 'do_shortcode');
add_filter('comment_text', 'do_shortcode');

//add_action( 'plugins_loaded', 'wpst_main' );

// ***************************************
// *** START - Create Admin Options    ***
// ***************************************

// delete options table entries ONLY when plugin deactivated AND deleted
function wpst_delete_plugin_options() {
	delete_option('wpst_options');
}

// Define default option settings
function wpst_activate() {
}

// Init plugin options to white list our options
function wpst_init(){
	register_setting('wpst_plugin_options', 'wpst_options');
}

// Add menu page
function wpst_add_options_page() {
	add_options_page('Contemplate Options Page', 'Contemplate', 'manage_options', __FILE__, 'wpst_render_form');
}

// Draw the menu page itself
function wpst_render_form() {
	?>
	<div class="wrap">
	<div id="silverlightControlHost" style="width:640px;height:980px;">
        <object data="data:application/x-silverlight-2," type="application/x-silverlight-2" width="100%" height="100%">
		  <param name="source" value="<?php echo WP_PLUGIN_URL; ?>/contemplate/Contemplate.xap"/>
		  <param name="onError" value="onSilverlightError" />
		  <param name="background" value="white" />
		  <param name="minRuntimeVersion" value="4.0.50401.0" />
		  <param name="autoUpgrade" value="true" />
		  <a href="http://go.microsoft.com/fwlink/?LinkID=149156&v=4.0.50401.0" style="text-decoration:none">
 			  <img src="http://go.microsoft.com/fwlink/?LinkId=161376" alt="Get Microsoft Silverlight" style="border-style:none"/>
		  </a>
	    </object>
		<iframe id="_sl_historyFrame" style="visibility:hidden;height:0px;width:0px;border:0px"></iframe>
	</div>

	<form method="post" action="options.php">
		<?php settings_fields('wpst_plugin_options'); ?>
		<?php $options = get_option('wpst_options'); ?>
		<div style="display:none;">

		<input id="tp_nums" name="wpst_options[txtnum]" type='textbox' value='<?php echo $options['txtnum']; ?>' style="width:700px;" /><br />

		<textarea id="template1" name="wpst_options[txtar1]" rows="4" cols="50" type='textarea'><?php echo $options['txtar1']; ?></textarea><br />
		<textarea id="template2" name="wpst_options[txtar2]" rows="4" cols="50" type='textarea'><?php echo $options['txtar2']; ?></textarea><br />
		<textarea id="template3" name="wpst_options[txtar3]" rows="4" cols="50" type='textarea'><?php echo $options['txtar3']; ?></textarea><br />
		<textarea id="template4" name="wpst_options[txtar4]" rows="4" cols="50" type='textarea'><?php echo $options['txtar4']; ?></textarea><br />
		<textarea id="template5" name="wpst_options[txtar5]" rows="4" cols="50" type='textarea'><?php echo $options['txtar5']; ?></textarea><br />
		<p class="submit">
		<input id="btn" type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
		</p>

		</div>
	</form>
	</div>
	<?php	
}

// ***************************************
// *** END - Create Admin Options    ***
// ***************************************

// ---------------------------------------------------------------------------------

// ***************************************
// *** START - Plugin Core Functions   ***
// ***************************************

$options = get_option('wpst_options');
if($options['txtar1']!="") { add_shortcode('contemplate1', 'ct1' ); }
if($options['txtar2']!="") { add_shortcode('contemplate2', 'ct2' ); }
if($options['txtar3']!="") { add_shortcode('contemplate3', 'ct3' ); }
if($options['txtar4']!="") { add_shortcode('contemplate4', 'ct4' ); }
if($options['txtar5']!="") { add_shortcode('contemplate5', 'ct5' ); }

function ct1() {
	$options = get_option('wpst_options');
	if(substr($options[txtar1], 0, 11) != "{{##off##}}") { return $options[txtar1]; }
}

function ct2() {
	$options = get_option('wpst_options');
	if(substr($options[txtar2], 0, 11) != "{{##off##}}") { return $options[txtar2]; }
}

function ct3() {
	$options = get_option('wpst_options');
	if(substr($options[txtar3], 0, 11) != "{{##off##}}") { return $options[txtar3]; }
}

function ct4() {
	$options = get_option('wpst_options');
	if(substr($options[txtar4], 0, 11) != "{{##off##}}") { return $options[txtar4]; }
}

function ct5() {
	$options = get_option('wpst_options');
	if(substr($options[txtar5], 0, 11) != "{{##off##}}") { return $options[txtar5]; }
}

//function wpst_delete_plugin_options() {
//	delete_option('wpst_main');
//}

// ***************************************
// *** END - Plugin Core Functions     ***
// ***************************************